{-# LANGUAGE DeriveGeneric     #-}
{-# LANGUAGE NoImplicitPrelude #-}
{-# LANGUAGE OverloadedStrings #-}

import Data.Conduit.Binary
import Network.Skylark.Client
import Options.Generic
import Preamble
import System.IO

data Args = Args
  { url    :: String
  , device :: ByteString
  } deriving (Show, Generic)

instance ParseRecord Args

main :: IO ()
main = do
  args <- getRecord "Skylark Client"
  runSkylark (url args) (device args) (sourceHandle stdin) (sinkHandle stdout)
